package provide DS9 1.0

proc InitIIS {} {
    iis open
}

proc CloseIIS {} {
    iis close
}

# Callbacks

proc SetDisplayFrameCmdIIS {which w h} {
    StartLoad
    Frame$which iis new $w $h
    FinishLoad
}

proc SetRefFrameCmdIIS {which} {
    global current

    if {$current(frame) != "Frame$which"} {
	CreateGotoFrame $which
    }
}

proc InitFrameCmdIIS {which} {
}

proc EraseFrameCmdIIS {which} {
    Frame$which iis erase
}

proc MessageCmdIIS {message} {
    puts "$message"
}

proc WritePixelsCmdIIS {which ptr x y dx dy} {
    Frame$which iis set $ptr $x $y $dx $dy
}

proc ReadPixelsCmdIIS {which ptr x y dx dy} {
    Frame$which get iis $ptr $x $y $dx $dy
}

proc SetCursorPosCmdIIS {} {
}

proc GetCursorPosCmdIIS {} {
}

proc CursorModeCmdIIS {} {
}


