#ifndef __fitsmap_h__
#define __fitsmap_h__

#include "file.h"

class FitsMap : public FitsFile {
protected:
  char* mapdata_;
  int mapsize_;

protected:
  void processExact();
  void processRelax();
  void processArray();
  void processMosaic();

public:
  FitsMap();
  virtual ~FitsMap() {}

  char* mapdata() {return mapdata_;}
  int mapsize() {return mapsize_;}
  char* enddata();
  int endsize();
};

class FitsMosaicNextMap : public FitsMap {
public:
  FitsMosaicNextMap(FitsFile* prev);
};

#endif








