#ifndef __fitsshare_h__
#define __fitsshare_h__

#include "map.h"

class FitsShare : public FitsMap {
public:
  FitsShare(int, int, const char*);
  virtual ~FitsShare();
};

class FitsFitsShare : public FitsShare {
public:
  FitsFitsShare(int, int, const char*, ScanMode);
};

class FitsArrShare : public FitsShare {
public:
  FitsArrShare(int, int, const char*);
};

class FitsMosaicShare : public FitsShare {
public:
  FitsMosaicShare(int, int);
};

#endif
