#ifndef __colorscaletrue24_h__
#define __colorscaletrue24_h__

#include "colorscale.h"

class ColorScaleTrueColor24 : public virtual ColorScale {
protected:
  int manageColors;  // flag to manage colors_

public:
  ColorScaleTrueColor24(int, int, int);
  ~ColorScaleTrueColor24();
};

class LinearScaleTrueColor24 :
public virtual ColorScale, 
public LinearScale, 
public ColorScaleTrueColor24 {
public:
  LinearScaleTrueColor24(int, unsigned short*, unsigned char*, int, int, int);
};

class LogScaleTrueColor24 :
public virtual ColorScale, 
public LogScale, 
public ColorScaleTrueColor24 {
public:
  LogScaleTrueColor24(int, unsigned short*, unsigned char*, int, int, int);
};

class SquaredScaleTrueColor24 :
public virtual ColorScale, 
public SquaredScale, 
public ColorScaleTrueColor24 {
public:
  SquaredScaleTrueColor24(int, unsigned short*, unsigned char*, int, int, int);
};

class SqrtScaleTrueColor24 :
public virtual ColorScale, 
public SqrtScale, 
public ColorScaleTrueColor24 {
public:
  SqrtScaleTrueColor24(int, unsigned short*, unsigned char*, int, int, int);
};

#endif
