#include <stdio.h>
#include <unistd.h>
#include <string.h>
#include <ctype.h>
#include <fcntl.h>
#include <errno.h>
#include <signal.h>
#ifdef __STDC__
#include <stdlib.h>
#include <malloc.h>
#endif
#include <sys/types.h>
#include <sys/time.h>
#include <sys/resource.h>
#include <sys/socket.h>         /* struct sockaddr, SOCK_STREAM, ... */
#include <netinet/in.h>         /* struct in_addr, struct sockaddr_un */
#include <sys/un.h>
#include <tcp.h>

main(argc, argv)
     int argc;
     char **argv;
{
  int mytype='s';
  char tbuf[33];
  int fd, fd2, fd3, fd4;
  int got;
  int slen;
  int reuse_addr = 1;
  int tries=0;
  struct sockaddr_un sock_un;
  struct sockaddr_un sock_un2;
  struct sockaddr_un sock_un3;
  struct sockaddr_un sock_un4;
  fd_set readfds;

  strcpy(tbuf, "xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx");

  if( argc > 1 ){
    mytype = *(argv[1]);
  }

  switch(mytype){
  case 's':
    if( (fd = socket(AF_UNIX, SOCK_STREAM, 0)) < 0 )
      goto error;
    memset((char *)&sock_un, 0, sizeof(sock_un));
    sock_un.sun_family = AF_UNIX;
    strcpy(sock_un.sun_path, "stime.pipe");
    unlink(sock_un.sun_path);
    if( bind(fd, (struct sockaddr *)&sock_un, sizeof(sock_un)) < 0 )
      goto error;
    if( listen(fd, 5) < 0 )
      goto error;

sagain:
    if( tries >= 1000 ){
      fprintf(stderr, "\nserver finished!\n");
      exit(0);
    }
    else if( (tries % 100) == 0 )
      fprintf(stderr, ".");
    tries++;
    FD_ZERO(&readfds);
    FD_SET(fd, &readfds);
    if( select(fd+1, &readfds, NULL, NULL, NULL) <= 0 )
      goto error;
    slen = sizeof(struct sockaddr_un);
    if((fd2=accept(fd, (struct sockaddr *)&sock_un2, &slen)) >=0){
      if( (got = read(fd2, tbuf, 32)) != 32)
	goto error;
      write(fd2, tbuf, 32);

      if( (fd3 = socket(AF_UNIX, SOCK_STREAM, 0)) < 0 )
	goto error;
      memset((char *)&sock_un3, 0, sizeof(sock_un3));
      sock_un3.sun_family = AF_UNIX;
      strcpy(sock_un3.sun_path, "stime.pipe3");
      unlink(sock_un3.sun_path);
      if( bind(fd3, (struct sockaddr *)&sock_un3, sizeof(sock_un3)) < 0 )
	goto error;
      if( listen(fd3, 5) < 0 )
	goto error;
      FD_ZERO(&readfds);
      FD_SET(fd3, &readfds);
      if( select(fd3+1, &readfds, NULL, NULL, NULL) <= 0 )
	goto error;
      slen = sizeof(struct sockaddr_un);
      if((fd4=accept(fd3, (struct sockaddr *)&sock_un4, &slen)) >=0){
	if( (got = read(fd4, tbuf, 32)) != 32)
	  goto error;
      }
      else
	goto error;
    }
    else
      goto error;
    close(fd2);
    close(fd3);
    close(fd4);
    goto sagain;
    break;

  case 'c':
cagain:
    if( tries >= 1000 ){
      fprintf(stderr, "\nclient finished!\n");
      exit(0);
    }
    else if( (tries % 100) == 0 )
      fprintf(stderr, ".");
    tries++;

    if( (fd = socket(AF_UNIX, SOCK_STREAM, 0)) < 0 )
      goto error;
    memset((char *)&sock_un, 0, sizeof(sock_un));
    sock_un.sun_family = AF_UNIX;
    strcpy(sock_un.sun_path, "stime.pipe");
    if( connect(fd, (struct sockaddr *)&sock_un, sizeof(sock_un)) <0 )
      goto error;
    write(fd, tbuf, 32);
    if( (got = read(fd, tbuf, 32)) != 32)
	goto error;

    if( (fd3 = socket(AF_UNIX, SOCK_STREAM, 0)) < 0 )
      goto error;
    memset((char *)&sock_un3, 0, sizeof(sock_un3));
    sock_un3.sun_family = AF_UNIX;
    strcpy(sock_un3.sun_path, "stime.pipe3");
    if( connect(fd3, (struct sockaddr *)&sock_un3, sizeof(sock_un3)) <0 )
      goto error;
    write(fd3, tbuf, 32);
    close(fd3);
    close(fd);
    goto cagain;
    break;
  }

error:
  perror("oops");
  fprintf(stderr, "tries: %d\n", tries);
  exit(1);
}
